MyGUI: MyGUI::ControllerManager Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::ControllerManager Class Reference

`#include <MyGUI_ControllerManager.h>`

Inheritance diagram for MyGUI::ControllerManager:
[legend]

## Public Member Functions
| ControllerManager ()
void | initialise ()
void | shutdown ()
ControllerItem * | createItem (const std::string &_type)
void | addItem (Widget *_widget, ControllerItem *_item)
void | removeItem (Widget *_widget)
const std::string & | getCategoryName () const
Public Member Functions inherited from MyGUI::Singleton< ControllerManager >
| Singleton ()
virtual | ~Singleton ()
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< ControllerManager >
typedef Singleton< ControllerManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< ControllerManager >
static ControllerManager & | getInstance ()
static ControllerManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 20 of file MyGUI_ControllerManager.h.

## Constructor & Destructor Documentation

## ◆ ControllerManager()

MyGUI::ControllerManager::ControllerManager | ( |  | ) |

Definition at line 24 of file MyGUI_ControllerManager.cpp.

## Member Function Documentation

## ◆ addItem()

void MyGUI::ControllerManager::addItem | ( | Widget * | _widget,
|  | ControllerItem * | _item
| ) |  |

Add controller over widget. If specified widget already have controller with same type previous controller removed.

Parameters

  _widget | to be controlled
  _item | controller created through createItem(const std::string& _type)

Note
  _item will be deleted automatically at end of controller lifetime (if not removed by removeItem(Widget* _widget) before)

Definition at line 78 of file MyGUI_ControllerManager.cpp.

## ◆ createItem()

ControllerItem * MyGUI::ControllerManager::createItem | ( | const std::string & | _type | ) |

Create controller.

Parameters

  _type | Controller type name. Should be on of internal controllers or registered by user.

Definition at line 72 of file MyGUI_ControllerManager.cpp.

## ◆ getCategoryName()

const std::string & MyGUI::ControllerManager::getCategoryName | ( |  | ) | const

Definition at line 145 of file MyGUI_ControllerManager.cpp.

## ◆ initialise()

void MyGUI::ControllerManager::initialise | ( |  | ) |

Definition at line 30 of file MyGUI_ControllerManager.cpp.

## ◆ removeItem()

void MyGUI::ControllerManager::removeItem | ( | Widget * | _widget | ) |

Stop and remove all controllers over specified widget.

Parameters

  _widget | Pointer to widget for removing control from.

Definition at line 105 of file MyGUI_ControllerManager.cpp.

## ◆ shutdown()

void MyGUI::ControllerManager::shutdown | ( |  | ) |

Definition at line 46 of file MyGUI_ControllerManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ControllerManager.h
- MyGUI_ControllerManager.cpp